precision lowp float;

varying lowp vec4 v_color;
varying lowp vec2 v_texCoord;

uniform sampler2D u_texture;

void main() {
	vec4 color = v_color * texture2D(u_texture, v_texCoord);
	if (color.a > 0.0){
	    gl_FragColor = vec4(0.0, 0.0, 0.0, 0.0);	
	} else {
	    discard;	
	}

}
